Skip to content

Tests require Test::Fatal v0.006 or higher #5

Closed
preaction opened this Issue Aug 6, 2014 · 1 comment

2 participants

@preaction

I tried installing this on a Perl with Test::Fatal v0.003 and tests failed with

t/110_now.t ............. "lives_ok" is not exported by the Test::Fatal module
Can't continue after import errors at t/Util.pm line 7.
BEGIN failed--compilation aborted at t/Util.pm line 7.
Compilation failed in require at t/110_now.t line 6.
BEGIN failed--compilation aborted at t/110_now.t line 6.
t/110_now.t ............. Dubious, test returned 255 (wstat 65280, 0xff00)

A different perl with Test::Fatal v0.006 worked. From https://github.com/rjbs/Test-Fatal, it appears that v0.006 added the Test::Exception-compatible API.

@chansen
Owner
chansen commented Aug 7, 2014

Thanks for the report, I have released 0.17 on cpan which requires Test::Fatal v0.006.

@chansen chansen closed this Aug 7, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.